#
# spec file for package imp (Version 4.1.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs ed expat file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           imp
BuildRequires:  apache2-devel pcre-devel
License:        GPL v2 or later
Group:          Productivity/Networking/Email/Utilities
Requires:       horde >= 3.1.3
AutoReqProv:    on
Version:        4.1.3
Release:        66.1
Source0:        %{name}-h3-%{version}.tar.gz
Source1:        README.SuSE
Source2:        imp-h3-4.1.2-servers.php.kolab
Patch1:         imp-h3-4.1.2-disable-html.patch
Patch2:         imp-h3-4.1.3-usr_local.patch
Patch3:         imp-h3-4.1.4-CVE-2008-4182.patch
Url:            http://www.horde.org/imp/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Web-Based Mail Client
%define apache_serverroot %(/usr/sbin/apxs2 -q datadir)
BuildArch:      noarch

%description
A set of PHP scripts that implement an IMAP-based Web mail system.
Assuming you have an account on a server that supports IMAP, you can
theoretically use an installation of IMP to check your mail from
anywhere you have Web access.

IMP does not require an IMAP server to be running on the machine you
install it on unless you are intending to have it use the current
machine for its IMAP connections. If you are connecting to a local
server for your mail, you do not need IMAP.

IMP requires a database to be running if you want to use the extended
features, such as the address book and prefs.  It currently supports
PostgreSQL, MySql, Oracle, Informix, and Sybase.



Authors:
--------
    Chuck Hagenbuch <chuck@horde.org>
    Jason "ZeroDiViDe" Orcutt <zerodiv@zerodivide.net>
    Mike Hardy <mike@itsprojects.com>
    Ivan E. Moore II <rkrusty@tdyc.com>

%define impdir   %{apache_serverroot}/htdocs/horde/imp
%debug_package

%prep
%setup -qn %name-h3-%version
%patch1
%patch2 -p1
%patch3
%__cp -a %{S:1} ./
# kolab specific
%__cp %{S:2} ./config/servers.php.kolab

%build
: if the following command fails, then apache dependencies are not met
/usr/sbin/apxs2 -q datadir >/dev/null
cd config
for i in *.dist; do %__mv $i ${i%.dist}; done

%install
%__mkdir_p $RPM_BUILD_ROOT%{impdir}
%__cp -r ./* $RPM_BUILD_ROOT%{impdir}
cd $RPM_BUILD_ROOT%{impdir}
%__rm -rf docs po COPYING README*

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING README.SuSE docs
%dir %{apache_serverroot}/htdocs/horde
%dir %{impdir}
%{impdir}/js
%{impdir}/lib
%{impdir}/locale
%{impdir}/scripts
%{impdir}/templates
%{impdir}/themes
%{impdir}/*.php
%attr(0750, wwwrun, www) %dir %{impdir}/config
%attr(0640, wwwrun, www) %config(noreplace) %{impdir}/config/.htaccess
%attr(0640, wwwrun, www) %config(noreplace) %{impdir}/config/*

%changelog
* Wed Nov 19 2008 - crrodriguez@suse.de
- security fix CVE-2008-4182 (very minor) [BNC#430547]
* Tue Sep 12 2006 - mmarek@suse.cz
- added horde directory to filelist
* Thu Aug 24 2006 - suse-tux@gmx.de
- new upstream version (4.1.3)
- added imp-h3-4.1.3-usr_local.patch
* Mon Aug 07 2006 - mmarek@suse.cz
- updated to version 4.1.2
  * changes from 4.0.x:
    - virtual Inbox and Virtual Trash folder
    - "Empty Spam" menu item
    - stationery and form responses
    - not necessary to click on "Attach" button when attaching files
    - play sound on new mail
    - multiple message view
    - ability to create notes from email messages
    - improved message previews
    - import of photo attachments into a gallery application
    - send notification when linked attachments are downloaded
    - graphical representation of thread on thread view screen
    - encrypt PGP messages for all recipients in one message
    - always send new messages in "flowed" format
    - auto-detection of namespace information from IMAP server
    - permission to restrict folder creation
    - support for changing SMTP server/port on login
    - more flexible custom email headers
  * changes from 4.1.0:
    - display quota for current folder on Cyrus servers
    - added preference for default charset when reading messages
    - added preference to define how to expand the folder list in sidebar
  * bugfixes and translation updates
* Fri Jun 16 2006 - suse-tux@gmx.de
- added servers.php.kolab - a servers.php config file for kolab
- removed #usedforbuild and BuildRequires: libarp-util1-devel horde (horde isn't needed during the build)
- changed Requires: horde to Requires: horde >= 3.1.1
- corrected URL-tag
- added rpmmacros (changed "cp" to "%%__cp" etc.)
* Fri May 12 2006 - lrupp@suse.de
- reduce BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - mmarek@suse.cz
- disable HTML e-mail
  [#137381] (disable-html.patch)
- make imp/config/ writable by wwwrun to allow administration via
  web form
* Tue Jan 03 2006 - mmarek@suse.cz
- update to 4.0.4
- check for working apxs2 in %%build
- use %%config(noreplace)
* Wed May 11 2005 - mcihar@suse.cz
- update to 4.0.3
* Tue Feb 08 2005 - mcihar@suse.cz
- update to 4.0.1
* Tue Aug 10 2004 - tcrhak@suse.cz
- update to 3.2.5
* Thu Apr 29 2004 - ro@suse.de
- use apache2 to build
* Fri Feb 27 2004 - hmacht@suse.de
- building as nonroot-user
* Wed Feb 25 2004 - tcrhak@suse.cz
- update to version 3.2.3
- removed po files from filelist
* Mon Jun 23 2003 - ro@suse.de
- added directory to filelist
- don't remove files from package in preun
* Wed Jan 22 2003 - tcrhak@suse.cz
- update to version 3.1
* Thu Aug 01 2002 - ro@suse.de
- adapt server-root
* Tue Sep 25 2001 - adostal@suse.cz
- fix README.SuSE
- fix uninstall in %%preun section
* Fri Aug 31 2001 - adostal@suse.cz
- create a new stand-alone package (v. 2.2.6)- old versions are
  generated from imapweb package
- create README.SuSE
